Subject: Re: [Ice] Adam Roach's Discuss on draft-ietf-ice-rfc5245bis-17: (with DISCUSS and COMMENT) - the pull request

From: Christer Holmberg <[email-masked]>
Date: Sat, 24 Feb 2018 13:07:47 +0000

Hi,

I have updated the pull request based on Adam's review:

https://github.com/ice-wg/rfc5245bis/pull/59

Note that the following issues still need to be addressed:

Q1: IPv6 example in Section 15

Status: Working on it.

Q2: Meaning of HTO timer. 

Status:  Does someone know where "HTO" comes from, and what it means?

Q3: Citation of experiments showing that 5ms is good.

Status: Not sure how to do with this. AFAIR, Google brought numbers to an IETF meeting, and the group agreed on 5ms.

Regards,

Christer

-----Original Message-----
From: Christer Holmberg 
Sent: 24 February 2018 13:47
To: Christer Holmberg <[email-masked]>; Adam Roach <[email-masked]>; The IESG <[email-masked]>
Cc: [email-masked]; Peter Thatcher <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: Adam Roach's Discuss on draft-ietf-ice-rfc5245bis-17: (with DISCUSS and COMMENT)

Hi,

----------------------------------------------------------------------

>>> §6.1.2.6:
>>>
>>>>                       Figure 8: Initial Pair State
>>>>
>>>> I think calling this a figure is quite a stretch. I was really 
>>>> thrown for a loop after reading four paragraphs to find this non-sequitur label just hanging out at the end of the section.
>>> Ekr had the same comment. I suggest to remove the Figure text.
>>
>> That seems reasonable, but it does raise the question of what happens 
>> to the "The table in Figure 8 illustrates an example" text -- make sure it is updated appropriately, please.
>
> One suggestion would be to split the figure, and the text below, into two separate <figure> elements. That way, "Figure 8" would appear directly below the figure.

Actually, I noted that my suggestion above isn't very good, as there is also text between the tables.

So, I suggest to simply remove the figure text, and modify the following sentence:

OLD:

       The table in Figure 8 illustrates an example.

NEW:

       The table below illustrates an example.

Regards,

Christer